Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-RU-2017:3195-1: moderate: Recommended update for cloud-init
openSUSE Recommended Update: Recommended update for cloud-init
______________________________________________________________________________

Announcement ID: openSUSE-RU-2017:3195-1
Rating: moderate
References: #1003977 #1005616 #1007529 #1017832 #1024709
#930524 #998103 #998836 #998843 #999942
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that has 10 recommended fixes can now be
installed.

Description:

This update provides cloud-init version 0.7.8, which brings several fixes
and enhancements:

- Fall back to the previous method of writing network information and fix
the default path for network scripts. (bsc#1007529)
- Allow dmidecode usage on aarch64 systems. (bsc#1005616)
- Wait for the network to be up an running in order to get ssh key
injected.
- Handle exception when attempting to detect if the network device is up
when it is not. (bsc#1003977)
- Fix decoding error. (bsc#998843)
- Add missing closing bracket. (bsc#998836)
- Hostname of VM instance does not change after reboot. (bsc#998103)
- The service file cloud-init.service referenced networking.service which
on SUSE is network.service. (bsc#999942)
- Do not set mount options for ephemeral drive, use the defaults that are
built into the code. (bsc#930524)
- Fix path to cloud-init.target in cloud-init-generator. (bsc#1024709)
- Exit with a proper error message when user attempts to use the "query"
command. (bsc#1017832)
- Require net-tools for network setup.

For a comprehensive list of all changes please refer to the package's
change log.

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1327=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1327=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

cloud-init-0.7.8-31.1
cloud-init-config-suse-0.7.8-31.1
cloud-init-doc-0.7.8-31.1
cloud-init-test-0.7.8-31.1

- openSUSE Leap 42.2 (i586 x86_64):

cloud-init-0.7.8-28.3.1
cloud-init-config-suse-0.7.8-28.3.1
cloud-init-doc-0.7.8-28.3.1
cloud-init-test-0.7.8-28.3.1


References:

https://bugzilla.suse.com/1003977
https://bugzilla.suse.com/1005616
https://bugzilla.suse.com/1007529
https://bugzilla.suse.com/1017832
https://bugzilla.suse.com/1024709
https://bugzilla.suse.com/930524
https://bugzilla.suse.com/998103
https://bugzilla.suse.com/998836
https://bugzilla.suse.com/998843
https://bugzilla.suse.com/999942


< Previous Next >
This Thread
  • No further messages